<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\ActivityBundle\Notification;

use Chill\ActivityBundle\Entity\Activity;
use Chill\MainBundle\Entity\Notification;

final class ActivityNotificationRenderer
{
    public function getTemplate()
    {
        return '@ChillActivity/Activity/showInNotification.html.twig';
    }

    public function getTemplateData(Notification $notification)
    {
        return ['notification' => $notification];
    }

    public function supports(Notification $notification, array $options = []): bool
    {
        return $notification->getRelatedEntityClass() === Activity::class;
    }
}
