import { createI18n } from 'vue-i18n'

const datetimeFormats = {
   fr: {
      short: {
         year: "numeric",
         month: "numeric",
         day: "numeric"
      },
      text: {
         year: "numeric",
         month: "long",
         day: "numeric",
      },
      long: {
         year: "numeric",
         month: "numeric",
         day: "numeric",
         hour: "numeric",
         minute: "numeric",
         hour12: false
      }
   }
};
const messages = {
   fr: {
      action: {
         actions: "Actions",
         show: "Voir",
         edit: "Modifier",
         create: "Créer",
         remove: "Enlever",
         delete: "Supprimer",
         save: "Enregistrer",
         valid: "Valider",
         valid_and_see: "Valider et voir",
         add: "Ajouter",
         show_modal: "Ouvrir une modale",
         ok: "OK",
         cancel: "Annuler",
         close: "Fermer",
         back: "Retour",
         check_all: "cocher tout",
         reset: "réinitialiser",
         redirect: {
            person: "Quitter la page et ouvrir la fiche de l'usager",
            thirdparty: "Quitter la page et voir le tiers",
         },
         refresh: 'Rafraîchir'
      },
      nav: {
         next: "Suivant",
         previous: "Précédent",
         top: "Haut",
         bottom: "Bas",
      },
      renderbox: {
         person: "Usager",
         birthday: {
            man: "Né le",
            woman: "Née le"
         },
         deathdate: "Date de décès",
         years_old: "ans",
         household_without_address: "Le ménage de l'usager est sans adresse",
         no_data: "Aucune information renseignée",
         type: {
            thirdparty: "Tiers",
            person: "Usager"
         },
         holder: "Titulaire"
      }
   }
};

const _createI18n = (appMessages) => {
   Object.assign(messages.fr, appMessages.fr);
   return createI18n({
      locale: 'fr',
      fallbackLocale: 'fr',
      datetimeFormats,
      messages,
   })
};

export { _createI18n }
