<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Notification;

use Chill\MainBundle\Entity\Notification;
use Chill\PersonBundle\Entity\AccompanyingPeriod;

final class AccompanyingPeriodNotificationRenderer
{
    public function getTemplate()
    {
        return 'ChillPersonBundle:AccompanyingPeriod:showInNotification.html.twig';
    }

    public function getTemplateData(Notification $notification)
    {
        return ['notification' => $notification];
    }

    public function supports(Notification $notification)
    {
        return $notification->getRelatedEntityClass() === AccompanyingPeriod::class;
    }
}
