<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\ThirdPartyBundle\Test\Serializer\Normalizer;

use Chill\MainBundle\Entity\Civility;
use Chill\ThirdPartyBundle\Entity\ThirdParty;
use Chill\ThirdPartyBundle\Entity\ThirdPartyCategory;
use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;
use Symfony\Component\Serializer\Normalizer\NormalizerInterface;

/**
 * @internal
 * @coversNothing
 */
final class ThirdpartyDocGenNormalizerTest extends KernelTestCase
{
    private NormalizerInterface $normalizer;

    protected function setUp(): void
    {
        self::bootKernel();
        $this->normalizer = self::$container->get(NormalizerInterface::class);
    }

    public function testNormalize()
    {
        $thirdparty = new ThirdParty();
        $thirdparty
            ->setAcronym('ABCD')
            ->setName('test')
            ->setCivility((new Civility())->setName(['fr' => 'Monsieur'])->setAbbreviation(['fr' => 'M.']))
            ->setEmail('info@cl.coop')
            ->addTypesAndCategories('kind')
            ->addTypesAndCategories((new ThirdPartyCategory())->setName(['fr' => 'category']));

        $actual = $this->normalizer->normalize($thirdparty, 'docgen', ['groups' => ['docgen:read']]);

        var_dump($actual);

        $this->assertIsArray($actual);
    }
}
